package cn.iocoder.yudao.module.system.api.file.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 短信发送给 Admin 或者 Member 用户
 *
 * @author 捷道源码
 */
@Data
public class FileMakeReqDTO {

    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 1 客户端 2 管理端
     */
//    @NotNull(message = "请求端口不能为空")
    private Integer userType;
    /**
     * 是否临时文件(默认为临时文件，1天后删除)
     */
    private Boolean temporaryFile = Boolean.TRUE;
    /**
     * 类型 {@link cn.iocoder.yudao.module.system.enums.download.DownloadTypeEnum}
     */
    @NotNull(message = "类型不能为空 ")
    private Integer type;
    /**
     * 国际化语言值，默认0中文, 具体取值I18nMessage.getLang()
     */
    private Integer lang = 0;
    /**
     * 文件后缀
     */
    private String fileSuffix;
    /**
     * 业务名称
     */
    private String name;
    /**
     * 业务编号
     */
    private String businessNo;
    /**
     * 请求参数
     */
    private String requestParams;

    /**
     * 文件下载地址
     */
    private String downloadUrl;


}
