package cn.iocoder.yudao.module.system.api.dept;

import cn.iocoder.yudao.module.system.api.dept.dto.DeptRespDTO;
import cn.iocoder.yudao.module.system.controller.admin.dept.vo.dept.DeptListReqVO;
import cn.iocoder.yudao.module.system.convert.dept.DeptConvert;
import cn.iocoder.yudao.module.system.dal.dataobject.dept.DeptDO;
import cn.iocoder.yudao.module.system.service.dept.DeptService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 部门 API 实现类
 *
 * @author 捷道源码
 */
@Service
@Slf4j
public class DeptApiImpl implements DeptApi {

    @Resource
    private DeptService deptService;

    @Override
    public DeptRespDTO getDept(Long id) {
        DeptDO dept = deptService.getDept(id);
        return DeptConvert.INSTANCE.convert03(dept);
    }

    @Override
    public List<DeptRespDTO> getDepts(Collection<Long> ids) {
        List<DeptDO> depts = deptService.getDepts(ids);
        log.error("得到部门总数{}", depts.size());
        return DeptConvert.INSTANCE.convertList03(depts);
    }

    @Override
    public List<DeptRespDTO> getDepts() {
        List<DeptDO> depts = deptService.getSimpleDepts(new DeptListReqVO());
        return DeptConvert.INSTANCE.convertList03(depts);
    }

    @Override
    public void validDepts(Collection<Long> ids) {
        deptService.validDepts(ids);
    }

    @Override
    public Map<Long, DeptRespDTO> getDeptMap(Set<Long> ids) {
        Map<Long, DeptDO> depts = deptService.getDeptMap(ids);
        return DeptConvert.INSTANCE.convertMap(depts);
    }

}
