package cn.iocoder.yudao.module.system.api.dict;

import cn.hutool.core.collection.CollectionUtil;
import cn.iocoder.yudao.framework.common.util.spring.enums.CommonStatusEnum;
import cn.iocoder.yudao.framework.dict.core.dto.DictDataRespDTO;
import cn.iocoder.yudao.module.system.service.dict.DictDataService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

/**
 * 字典数据 API 实现类
 *
 * @author 捷道源码
 */
@Service
public class DictDataApiImpl implements DictDataApi {

    @Resource
    private DictDataService dictDataService;

    @Override
    public void validDictDatas(String dictType, Collection<String> values) {
        dictDataService.validDictDatas(dictType, values);
    }

    @Override
    public List<DictDataRespDTO> listDictDatasFromCache(String type) {
        return dictDataService.listDictDatasFromCache(type);
    }

    @Override
    public DictDataRespDTO parseDictDataFromCache(String type, String label) {
        return dictDataService.parseDictDataFromCache(type, label);
    }

    @Override
    public List<DictDataRespDTO> getDictDatas(String type) {
        // 改为从本地缓存取值再筛选
        List<DictDataRespDTO> dictDataRespDTOList = this.listDictDatasFromCache(type);
        if (CollectionUtil.isNotEmpty(dictDataRespDTOList)) {
            dictDataRespDTOList = dictDataRespDTOList.stream().filter(dto -> Objects.equals(dto.getStatus(), CommonStatusEnum.ENABLE.getStatus())).collect(Collectors.toList());
        }
        return dictDataRespDTOList;
//        DictDataExportReqVO req = new DictDataExportReqVO();
//        req.setDictType(type);
//        req.setStatus(CommonStatusEnum.ENABLE.getStatus());
//        List<DictDataDO> dictList = dictDataService.getDictDatas(req);
//        return DictDataConvert.INSTANCE.convertList03(dictList);
    }
}
