package cn.iocoder.yudao.module.system.api.permission;

import cn.hutool.core.collection.CollectionUtil;
import cn.iocoder.yudao.module.system.api.permission.dto.RoleRespDTO;
import cn.iocoder.yudao.module.system.convert.permission.RoleConvert;
import cn.iocoder.yudao.module.system.dal.dataobject.permission.RoleDO;
import cn.iocoder.yudao.module.system.service.permission.RoleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

/**
 * 角色 API 实现类
 *
 * @author 捷道源码
 */
@Service
public class RoleApiImpl implements RoleApi {

    @Resource
    private RoleService roleService;

    @Override
    public void validRoles(Collection<Long> ids) {
        roleService.validRoles(ids);
    }


    @Override
    public List<RoleRespDTO> getRoles(Collection<Long> ids) {
        List<RoleDO> roleDOS = roleService.getRolesFromCache(ids);
        if (CollectionUtil.isEmpty(roleDOS)){
            return null;
        }
        return RoleConvert.INSTANCE.convertList04(roleDOS);
    }
}
