package cn.iocoder.yudao.module.system.controller.admin.bannerPop.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 广告弹窗 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 广告弹窗 Response VO")
public class BannerPopBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("中文标题")
    @ApiModelProperty(value = "中文标题")
    private String titleZh;

    @ExcelProperty("英文标题")
    @ApiModelProperty(value = "英文标题")
    private String titleEn;

    @ExcelProperty("有效期开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "有效期开始时间")
    private Date validateStart;

    @ExcelProperty("有效期结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "有效期结束时间")
    private Date validateEnd;

    @ExcelProperty("web网页中文")
    @ApiModelProperty(value = "web网页中文")
    private String htmlWebZh;

    @ExcelProperty("web网页英文")
    @ApiModelProperty(value = "web网页英文")
    private String htmlWebEn;

    @ExcelProperty("app网页中文")
    @ApiModelProperty(value = "app网页中文")
    private String htmlAppZh;

    @ExcelProperty("app网页英文")
    @ApiModelProperty(value = "app网页英文")
    private String htmlAppEn;

    @ExcelProperty("0显示 1不显示")
    @ApiModelProperty(value = "0显示 1不显示")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
