package cn.iocoder.yudao.module.system.controller.admin.bannerPop.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 广告弹窗 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class BannerPopBaseVO {

    @ApiModelProperty(value = "中文标题")
    private String titleZh;

    @ApiModelProperty(value = "英文标题")
    private String titleEn;

    @ApiModelProperty(value = "有效期开始时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date validateStart;

    @ApiModelProperty(value = "有效期结束时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date validateEnd;

    @ApiModelProperty(value = "web网页中文")
    private String htmlWebZh;

    @ApiModelProperty(value = "web网页英文")
    private String htmlWebEn;

    @ApiModelProperty(value = "app网页中文")
    private String htmlAppZh;

    @ApiModelProperty(value = "app网页英文")
    private String htmlAppEn;

    @ApiModelProperty(value = "0显示 1不显示")
    private Integer status;

}
