package cn.iocoder.yudao.module.system.controller.admin.common;

import cn.iocoder.yudao.framework.common.constant.Constant;
import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.dict.core.dto.DictDataRespDTO;
import cn.iocoder.yudao.module.system.service.dict.DictDataService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.annotation.Resource;
import java.util.List;
import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

/**
 * @author Administrator
 */
@Api(tags = "管理后台 - 获取语言列表")
@RestController
@RequestMapping("system/locale")
public class LocaleController {
    @Resource
    private DictDataService dictDataService;

    @GetMapping("show")
    @ApiOperation("获取语言列表")
    public CommonResult<List<DictDataRespDTO>> getLocale() {
        return success(dictDataService.listDictDatasFromCache(Constant.Cache.LANG));
    }
}
