package cn.iocoder.yudao.module.system.controller.admin.mail.vo.account;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 邮箱帐号 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class MailAccountBaseVO {

    @ApiModelProperty(value = "邮箱", required = true, example = "123@qq.com")
    @NotNull(message = "邮箱不能为空")
    private String fromAddress;

    @ApiModelProperty(value = "用户名", required = true, example = "name")
    @NotNull(message = "用户名不能为空")
    private String username;

    @ApiModelProperty(value = "主机", required = true, example = "smtp.163.com")
    @NotNull(message = "主机不能为空")
    private String host;

    @ApiModelProperty(value = "端口", required = true, example = "25")
    @NotNull(message = "端口不能为空")
    private Integer port;

    @ApiModelProperty(value = "是否开启SSL", required = true)
    @NotNull(message = "是否开启SSL不能为空")
    private Integer sslEnable;

}
