package cn.iocoder.yudao.module.system.controller.admin.mail.vo.account;

import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;
import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;


/**
 * 邮箱帐号 Excel VO
 *
 * @author yanghao
 */
@Data
public class MailAccountExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("邮箱")
    private String fromAddress;

    @ExcelProperty("用户名")
    private String username;

    @ExcelProperty("主机")
    private String host;

    @ExcelProperty("端口")
    private Integer port;

    @ExcelProperty(value = "是否开启SSL", converter = DictConvert.class)
    @DictFormat("infra_boolean_string") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    private Integer sslEnable;

    @ExcelProperty("创建时间")
    private Date createTime;

}
