package cn.iocoder.yudao.module.system.controller.admin.mail.vo.account;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 邮箱帐号 Excel 导出 Request VO", description = "参数和 MailAccountPageReqVO 是一致的")
@Data
public class MailAccountExportReqVO {

    @ApiModelProperty(value = "邮箱", example = "123@qq.com")
    private String fromAddress;

    @ApiModelProperty(value = "用户名", example = "name")
    private String username;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
