package cn.iocoder.yudao.module.system.controller.admin.permission.vo.menu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("管理后台 - 菜单列表 Request VO")
@Data
public class MenuListReqVO {

    @ApiModelProperty(value = "菜单名称", example = "捷道", notes = "模糊匹配")
    private String name;

    @ApiModelProperty(value = "菜单英文名称", required = true, example = "jiedao")
    private String nameEn;

    @ApiModelProperty(value = "展示状态", example = "1", notes = "参见 CommonStatusEnum 枚举类")
    private Integer status;

    @ApiModelProperty(value = "是否显示在菜单栏", required = true, example = "true", notes = "true/false")
    private Boolean isShowInMenuBar;

    @ApiModelProperty(value = "是否保活", required = true, example = "true", notes = "true/false")
    private Boolean keepalive;

    @ApiModelProperty(value = "重定向", example = "/menu/list")
    private String redirect;

    @ApiModelProperty(value = "计数标记")
    private String badgeField;

}
