package cn.iocoder.yudao.module.system.controller.admin.permission.vo.menu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@ApiModel("管理后台 - 菜单精简信息 Response VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MenuSimpleRespVO {

    @ApiModelProperty(value = "菜单编号", required = true, example = "1024")
    private Long id;

    @ApiModelProperty(value = "菜单名称", required = true, example = "捷道")
    private String name;

    @ApiModelProperty(value = "菜单英文名称", required = true, example = "jiedao")
    private String nameEn;

    @ApiModelProperty(value = "父菜单 ID", required = true, example = "1024")
    private Long parentId;

    @ApiModelProperty(value = "类型", required = true, example = "1", notes = "参见 MenuTypeEnum 枚举类")
    @NotNull(message = "菜单类型不能为空")
    private Integer type;

    @ApiModelProperty(value = "是否显示在菜单栏", required = true, example = "true", notes = "true/false")
    private Boolean isShowInMenuBar;

    @ApiModelProperty(value = "是否保活", required = true, example = "true", notes = "true/false")
    private Boolean keepalive;

    @ApiModelProperty(value = "重定向", example = "/menu/list")
    private String redirect;

    @ApiModelProperty(value = "计数标记")
    private String badgeField;
}
