package cn.iocoder.yudao.module.system.controller.app.needKnow;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.convert.needKnow.NeedKnowConvert;
import cn.iocoder.yudao.module.system.dal.dataobject.needKnow.NeedKnowDO;
import cn.iocoder.yudao.module.system.service.needKnow.NeedKnowService;
import cn.iocoder.yudao.module.system.vo.needKnow.NeedKnowBackVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.error;
import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
import static cn.iocoder.yudao.module.system.enums.ErrorCodeConstants.NEED_KNOW_NOT_EXISTS;

@Validated
@RestController
@Api(tags = "客户端 - 须知")
@RequestMapping("/system/need-know")
public class AppNeedKnowController {

    @Resource
    private NeedKnowService needKnowService;


    @GetMapping("/getByKey")
    @ApiOperation("获得须知")
    @ApiImplicitParam(name = "key", value = "须知类型:warehousing:入仓,control:控货,controltransfer:控货转移,pricequery:价格查询,5:用户服务协议", required = true, example = "warehousing", dataTypeClass = String.class)
    public CommonResult<NeedKnowBackVO> getNeedKnowByKey(@RequestParam("key") String key) {
        NeedKnowDO needKnow = needKnowService.getNeedKnowByKey(key);
        if (needKnow == null) {
            return error(NEED_KNOW_NOT_EXISTS);
        } else {
            return success(NeedKnowConvert.INSTANCE.convert(needKnow));
        }
    }


}
