package cn.iocoder.yudao.module.system.convert.banner;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.banner.vo.banner.BannerBackVO;
import cn.iocoder.yudao.module.system.controller.admin.banner.vo.banner.BannerCreateReqVO;
import cn.iocoder.yudao.module.system.controller.admin.banner.vo.banner.BannerUpdateReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.banner.BannerDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 广告设置 Convert
 * @author wlh
 */
@Mapper
public interface BannerConvert {
    /*****转换MapStruct*****/
    BannerConvert INSTANCE = Mappers.getMapper(BannerConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BannerDO convert(BannerCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BannerDO convert(BannerUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BannerBackVO convert(BannerDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BannerBackVO> convertList(List<BannerDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BannerBackVO> convertPage(PageResult<BannerDO> page);
}
