package cn.iocoder.yudao.module.system.convert.bannerPop;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.bannerPop.vo.BannerPopBackVO;
import cn.iocoder.yudao.module.system.controller.admin.bannerPop.vo.BannerPopUpdateReqVO;
import cn.iocoder.yudao.module.system.controller.admin.bannerPop.vo.BannerPopCreateReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.bannerPop.BannerPopDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 广告弹窗 Convert
 * @author wlh
 */
@Mapper
public interface BannerPopConvert {
    /*****转换MapStruct*****/
    BannerPopConvert INSTANCE = Mappers.getMapper(BannerPopConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BannerPopDO convert(BannerPopCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BannerPopDO convert(BannerPopUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BannerPopBackVO convert(BannerPopDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BannerPopBackVO> convertList(List<BannerPopDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BannerPopBackVO> convertPage(PageResult<BannerPopDO> page);
}
