package cn.iocoder.yudao.module.system.convert.downloadLog;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.system.vo.downloadLog.*;
import cn.iocoder.yudao.module.system.dal.dataobject.downloadLog.DownloadLogDO;

/**
 * 下载日志 Convert
 * @author 江楠
 */
@Mapper
public interface DownloadLogConvert {
    /*****转换MapStruct*****/
    DownloadLogConvert INSTANCE = Mappers.getMapper(DownloadLogConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    DownloadLogDO convert(DownloadLogCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    DownloadLogDO convert(DownloadLogUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    DownloadLogBackVO convert(DownloadLogDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<DownloadLogBackVO> convertList(List<DownloadLogDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<DownloadLogBackVO> convertPage(PageResult<DownloadLogDO> page);
}
