package cn.iocoder.yudao.module.system.convert.helpDoc;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.system.vo.helpDoc.*;
import cn.iocoder.yudao.module.system.dal.dataobject.helpDoc.HelpDocDO;

/**
 * 帮助文档 Convert
 * @author jiuping
 */
@Mapper
public interface HelpDocConvert {
    /*****转换MapStruct*****/
    HelpDocConvert INSTANCE = Mappers.getMapper(HelpDocConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    HelpDocDO convert(HelpDocCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    HelpDocDO convert(HelpDocUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    HelpDocBackVO convert(HelpDocDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<HelpDocBackVO> convertList(List<HelpDocDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<HelpDocBackVO> convertPage(PageResult<HelpDocDO> page);
}
