package cn.iocoder.yudao.module.system.convert.internalHelpDoc;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.system.vo.internalHelpDoc.*;
import cn.iocoder.yudao.module.system.dal.dataobject.internalHelpDoc.InternalHelpDocDO;

/**
 * 对内帮助文档 Convert
 * @author 系统管理员
 */
@Mapper
public interface InternalHelpDocConvert {
    /*****转换MapStruct*****/
    InternalHelpDocConvert INSTANCE = Mappers.getMapper(InternalHelpDocConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    InternalHelpDocDO convert(InternalHelpDocCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    InternalHelpDocDO convert(InternalHelpDocUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    InternalHelpDocBackVO convert(InternalHelpDocDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<InternalHelpDocBackVO> convertList(List<InternalHelpDocDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<InternalHelpDocBackVO> convertPage(PageResult<InternalHelpDocDO> page);
}
