package cn.iocoder.yudao.module.system.convert.needKnow;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.system.vo.needKnow.*;
import cn.iocoder.yudao.module.system.dal.dataobject.needKnow.NeedKnowDO;

/**
 * 需知 Convert
 * @author 系统管理员
 */
@Mapper
public interface NeedKnowConvert {
    /*****转换MapStruct*****/
    NeedKnowConvert INSTANCE = Mappers.getMapper(NeedKnowConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    NeedKnowDO convert(NeedKnowCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    NeedKnowDO convert(NeedKnowUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    NeedKnowBackVO convert(NeedKnowDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<NeedKnowBackVO> convertList(List<NeedKnowDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<NeedKnowBackVO> convertPage(PageResult<NeedKnowDO> page);
}
