package cn.iocoder.yudao.module.system.convert.version;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.system.vo.version.*;
import cn.iocoder.yudao.module.system.dal.dataobject.version.VersionDO;

/**
 * app版本管理 Convert
 * @author wlh
 */
@Mapper
public interface VersionConvert {
    /*****转换MapStruct*****/
    VersionConvert INSTANCE = Mappers.getMapper(VersionConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    VersionDO convert(VersionCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    VersionDO convert(VersionUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    VersionBackVO convert(VersionDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<VersionBackVO> convertList(List<VersionDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<VersionBackVO> convertPage(PageResult<VersionDO> page);
}
