package cn.iocoder.yudao.module.system.dal.dataobject.bannerPop;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 广告弹窗 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_banner_pop")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BannerPopDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 中文标题
     */
    private String titleZh;
    /**
     * 英文标题
     */
    private String titleEn;
    /**
     * 有效期开始时间
     */
    private Date validateStart;
    /**
     * 有效期结束时间
     */
    private Date validateEnd;
    /**
     * web网页中文
     */
    private String htmlWebZh;
    /**
     * web网页英文
     */
    private String htmlWebEn;
    /**
     * app网页中文
     */
    private String htmlAppZh;
    /**
     * app网页英文
     */
    private String htmlAppEn;
    /**
     * 0显示 1不显示
     */
    private Integer status;

}
