package cn.iocoder.yudao.module.system.dal.dataobject.downloadLog;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 下载日志 DO
 *
 * @author 江楠
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("system_download_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DownloadLogDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 是否临时文件
     */
    private Boolean temporaryFile;
    /**
     * 资源类型
     */
    private Integer type;
    /**
     * 请求参数
     */
    private String requestParams;
    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 用户类型：1 客户端 2 管理端
     */
    private Integer userType;
    /**
     * 0 待处理 1 处理中 2 处理成功 3 处理失败 4 文件失效
     */
    private Integer status;
    /**
     * 处理结果
     */
    private String result;
    /**
     * 业务名称
     */
    private String name;
    /**
     * 业务编号
     */
    private String businessNo;
    /**
     * 后缀
     */
    private String fileSuffix;
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 国际化语言值，默认0中文, 具体取值I18nMessage.getLang()
     */
    private Integer lang = 0;
    /**
     * 文件路径
     */
    private String path;
    /**
     * 下载地址
     */
    private String downloadUrl;
    /**
     * 重发次数
     */
    private Integer num;

    @ApiModelProperty(value = "下载次数")
    private Integer downNum;

    @ApiModelProperty(value = "文件ID")
    private Long fileId;

}
