package cn.iocoder.yudao.module.system.dal.dataobject.internalHelpDoc;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 对内帮助文档 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("system_internal_help_doc")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class InternalHelpDocDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 标题中文
     */
    private String titleZh;
    /**
     * 标题英文
     */
    private String titleEn;
    /**
     * 内容中文
     */
    private String contentZh;
    /**
     * 内容英语
     */
    private String contentEn;
    /**
     * 0-启用,1-停用
     */
    private Integer status;

}
