package cn.iocoder.yudao.module.system.dal.mysql.banner;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.system.controller.admin.banner.vo.banner.BannerQueryVO;
import cn.iocoder.yudao.module.system.dal.dataobject.banner.BannerDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 广告设置 Mapper
 * @author wlh
 */
@Mapper
public interface BannerMapper extends AbstractMapper<BannerDO> {
    @Override
    default PageResult<BannerDO> selectPage(PageVO page, Object object) {
        if (object instanceof BannerQueryVO) {
            BannerQueryVO vo = (BannerQueryVO)object;
            return selectPage(page, new LambdaQuery<BannerDO>()
                .eqIfPresent(BannerDO::getTitleZh, vo.getTitleZh())
                .eqIfPresent(BannerDO::getTitleEn, vo.getTitleEn())
                .eqIfPresent(BannerDO::getContentZh, vo.getContentZh())
                .eqIfPresent(BannerDO::getContentEn, vo.getContentEn())
                .eqIfPresent(BannerDO::getBannerUrlWeb, vo.getBannerUrlWeb())
                .eqIfPresent(BannerDO::getBannerUrlApp, vo.getBannerUrlApp())
                .eqIfPresent(BannerDO::getStatus, vo.getStatus())
                .betweenIfPresent(BannerDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BannerDO::getId));
        }

        return null;
    }

    @Override
    default List<BannerDO> selectList(Object object) {
        if (object instanceof BannerQueryVO) {
            BannerQueryVO vo = (BannerQueryVO)object;
            return selectList(new LambdaQuery<BannerDO>()
                .eqIfPresent(BannerDO::getTitleZh, vo.getTitleZh())
                .eqIfPresent(BannerDO::getTitleEn, vo.getTitleEn())
                .eqIfPresent(BannerDO::getContentZh, vo.getContentZh())
                .eqIfPresent(BannerDO::getContentEn, vo.getContentEn())
                .eqIfPresent(BannerDO::getBannerUrlWeb, vo.getBannerUrlWeb())
                .eqIfPresent(BannerDO::getBannerUrlApp, vo.getBannerUrlApp())
                .eqIfPresent(BannerDO::getStatus, vo.getStatus())
                .betweenIfPresent(BannerDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BannerDO::getId));
        }

        return null;
    }
}
