package cn.iocoder.yudao.module.system.dal.mysql.bannerPop;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.system.controller.admin.bannerPop.vo.BannerPopQueryVO;
import cn.iocoder.yudao.module.system.dal.dataobject.bannerPop.BannerPopDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 广告弹窗 Mapper
 * @author wlh
 */
@Mapper
public interface BannerPopMapper extends AbstractMapper<BannerPopDO> {
    @Override
    default PageResult<BannerPopDO> selectPage(PageVO page, Object object) {
        if (object instanceof BannerPopQueryVO) {
            BannerPopQueryVO vo = (BannerPopQueryVO)object;
            return selectPage(page, new LambdaQuery<BannerPopDO>()
                .eqIfPresent(BannerPopDO::getTitleZh, vo.getTitleZh())
                .eqIfPresent(BannerPopDO::getTitleEn, vo.getTitleEn())
                .eqIfPresent(BannerPopDO::getValidateStart, vo.getValidateStart())
                .eqIfPresent(BannerPopDO::getValidateEnd, vo.getValidateEnd())
                .eqIfPresent(BannerPopDO::getHtmlWebZh, vo.getHtmlWebZh())
                .eqIfPresent(BannerPopDO::getHtmlWebEn, vo.getHtmlWebEn())
                .eqIfPresent(BannerPopDO::getHtmlAppZh, vo.getHtmlAppZh())
                .eqIfPresent(BannerPopDO::getStatus, vo.getStatus())
                .betweenIfPresent(BannerPopDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BannerPopDO::getId));
        }

        return null;
    }

    @Override
    default List<BannerPopDO> selectList(Object object) {
        if (object instanceof BannerPopQueryVO) {
            BannerPopQueryVO vo = (BannerPopQueryVO)object;
            return selectList(new LambdaQuery<BannerPopDO>()
                .eqIfPresent(BannerPopDO::getTitleZh, vo.getTitleZh())
                .eqIfPresent(BannerPopDO::getTitleEn, vo.getTitleEn())
                .eqIfPresent(BannerPopDO::getValidateStart, vo.getValidateStart())
                .eqIfPresent(BannerPopDO::getValidateEnd, vo.getValidateEnd())
                .eqIfPresent(BannerPopDO::getHtmlWebZh, vo.getHtmlWebZh())
                .eqIfPresent(BannerPopDO::getHtmlWebEn, vo.getHtmlWebEn())
                .eqIfPresent(BannerPopDO::getHtmlAppZh, vo.getHtmlAppZh())
                .eqIfPresent(BannerPopDO::getStatus, vo.getStatus())
                .betweenIfPresent(BannerPopDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BannerPopDO::getId));
        }

        return null;
    }
}
