package cn.iocoder.yudao.module.system.dal.mysql.downloadLog;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.system.controller.admin.user.vo.user.UserMarkVO;
import cn.iocoder.yudao.module.system.dal.dataobject.downloadLog.DownloadLogDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.system.vo.downloadLog.*;
import org.apache.ibatis.annotations.Param;

/**
 * 下载日志 Mapper
 *
 * @author 江楠
 */
@Mapper
public interface DownloadLogMapper extends AbstractMapper<DownloadLogDO> {
    @Override
    default PageResult<DownloadLogDO> selectPage(PageVO page, Object object) {
        if (object instanceof DownloadLogQueryVO) {
            DownloadLogQueryVO vo = (DownloadLogQueryVO) object;
            return selectPage(page, new LambdaQuery<DownloadLogDO>()
                    .eqIfPresent(DownloadLogDO::getTemporaryFile, vo.getTemporaryFile())
                    .eqIfPresent(DownloadLogDO::getType, vo.getType())
                    .eqIfPresent(DownloadLogDO::getRequestParams, vo.getRequestParams())
                    .eqIfPresent(DownloadLogDO::getUserId, vo.getUserId())
                    .eqIfPresent(DownloadLogDO::getUserType, vo.getUserType())
                    .eqIfPresent(DownloadLogDO::getStatus, vo.getStatus())
                    .eqIfPresent(DownloadLogDO::getResult, vo.getResult())
                    .eqIfPresent(DownloadLogDO::getFileSuffix, vo.getFileSuffix())
                    .likeIfPresent(DownloadLogDO::getFileName, vo.getFileName())
                    .eqIfPresent(DownloadLogDO::getDownloadUrl, vo.getDownloadUrl())
                    .betweenIfPresent(DownloadLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .eqIfPresent(DownloadLogDO::getNum, vo.getNum())
                    .eqIfPresent(DownloadLogDO::getDownNum, vo.getDownNum())
                    .orderByDesc(DownloadLogDO::getId));
        }

        return null;
    }


    @Override
    default List<DownloadLogDO> selectList(Object object) {
        if (object instanceof DownloadLogQueryVO) {
            DownloadLogQueryVO vo = (DownloadLogQueryVO) object;
            return selectList(new LambdaQuery<DownloadLogDO>()
                    .eqIfPresent(DownloadLogDO::getTemporaryFile, vo.getTemporaryFile())
                    .eqIfPresent(DownloadLogDO::getType, vo.getType())
                    .eqIfPresent(DownloadLogDO::getRequestParams, vo.getRequestParams())
                    .eqIfPresent(DownloadLogDO::getUserId, vo.getUserId())
                    .eqIfPresent(DownloadLogDO::getUserType, vo.getUserType())
                    .eqIfPresent(DownloadLogDO::getStatus, vo.getStatus())
                    .eqIfPresent(DownloadLogDO::getResult, vo.getResult())
                    .eqIfPresent(DownloadLogDO::getFileSuffix, vo.getFileSuffix())
                    .likeIfPresent(DownloadLogDO::getFileName, vo.getFileName())
                    .eqIfPresent(DownloadLogDO::getDownloadUrl, vo.getDownloadUrl())
                    .betweenIfPresent(DownloadLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .eqIfPresent(DownloadLogDO::getNum, vo.getNum())
                    .eqIfPresent(DownloadLogDO::getDownNum, vo.getDownNum())
                    .orderByDesc(DownloadLogDO::getId));
        }

        return null;
    }

    default Long selectCount(DownloadLogQueryVO vo) {
        return selectCount(new LambdaQuery<DownloadLogDO>()
                .eqIfPresent(DownloadLogDO::getTemporaryFile, vo.getTemporaryFile())
                .eqIfPresent(DownloadLogDO::getType, vo.getType())
                .eqIfPresent(DownloadLogDO::getRequestParams, vo.getRequestParams())
                .eqIfPresent(DownloadLogDO::getUserId, vo.getUserId())
                .eqIfPresent(DownloadLogDO::getUserType, vo.getUserType())
                .eqIfPresent(DownloadLogDO::getStatus, vo.getStatus())
                .eqIfPresent(DownloadLogDO::getResult, vo.getResult())
                .eqIfPresent(DownloadLogDO::getFileSuffix, vo.getFileSuffix())
                .likeIfPresent(DownloadLogDO::getFileName, vo.getFileName())
                .eqIfPresent(DownloadLogDO::getDownloadUrl, vo.getDownloadUrl())
                .betweenIfPresent(DownloadLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .eqIfPresent(DownloadLogDO::getNum, vo.getNum())
                .eqIfPresent(DownloadLogDO::getDownNum, vo.getDownNum())
                .orderByDesc(DownloadLogDO::getId));

    }


    default List<DownloadLogDO> selectList(int start, int end, DownloadLogQueryVO vo) {
        return selectList(new LambdaQuery<DownloadLogDO>()
                .eqIfPresent(DownloadLogDO::getTemporaryFile, vo.getTemporaryFile())
                .eqIfPresent(DownloadLogDO::getType, vo.getType())
                .eqIfPresent(DownloadLogDO::getRequestParams, vo.getRequestParams())
                .eqIfPresent(DownloadLogDO::getUserId, vo.getUserId())
                .eqIfPresent(DownloadLogDO::getUserType, vo.getUserType())
                .eqIfPresent(DownloadLogDO::getStatus, vo.getStatus())
                .eqIfPresent(DownloadLogDO::getResult, vo.getResult())
                .eqIfPresent(DownloadLogDO::getFileSuffix, vo.getFileSuffix())
                .likeIfPresent(DownloadLogDO::getFileName, vo.getFileName())
                .eqIfPresent(DownloadLogDO::getDownloadUrl, vo.getDownloadUrl())
                .betweenIfPresent(DownloadLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .eqIfPresent(DownloadLogDO::getNum, vo.getNum())
                .eqIfPresent(DownloadLogDO::getDownNum, vo.getDownNum())
                .orderByDesc(DownloadLogDO::getId)
                .last(String.format("limit %s, %s", start, end))
        );
    }

    List<DownloadLogDO> list(@Param("start") int start, @Param("size") int end, @Param("query") DownloadLogQueryVO query);

    long count(@Param("query") DownloadLogQueryVO query);

    UserMarkVO markCount(@Param("userType") Integer userType, @Param("userId") Long userId);
}
