package cn.iocoder.yudao.module.system.dal.mysql.internalHelpDoc;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.system.dal.dataobject.internalHelpDoc.InternalHelpDocDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.system.vo.internalHelpDoc.*;

/**
 * 对内帮助文档 Mapper
 * @author 系统管理员
 */
@Mapper
public interface InternalHelpDocMapper extends AbstractMapper<InternalHelpDocDO> {
    @Override
    default PageResult<InternalHelpDocDO> selectPage(PageVO page, Object object) {
        if (object instanceof InternalHelpDocQueryVO) {
            InternalHelpDocQueryVO vo = (InternalHelpDocQueryVO)object;
            return selectPage(page, new LambdaQuery<InternalHelpDocDO>()
                .eqIfPresent(InternalHelpDocDO::getTitleZh, vo.getTitleZh())
                .eqIfPresent(InternalHelpDocDO::getTitleEn, vo.getTitleEn())
                .eqIfPresent(InternalHelpDocDO::getContentZh, vo.getContentZh())
                .eqIfPresent(InternalHelpDocDO::getContentEn, vo.getContentEn())
                .eqIfPresent(InternalHelpDocDO::getStatus, vo.getStatus())
                .betweenIfPresent(InternalHelpDocDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(InternalHelpDocDO::getId));
        }

        return null;
    }

    @Override
    default List<InternalHelpDocDO> selectList(Object object) {
        if (object instanceof InternalHelpDocQueryVO) {
            InternalHelpDocQueryVO vo = (InternalHelpDocQueryVO)object;
            return selectList(new LambdaQuery<InternalHelpDocDO>()
                .eqIfPresent(InternalHelpDocDO::getTitleZh, vo.getTitleZh())
                .eqIfPresent(InternalHelpDocDO::getTitleEn, vo.getTitleEn())
                .eqIfPresent(InternalHelpDocDO::getContentZh, vo.getContentZh())
                .eqIfPresent(InternalHelpDocDO::getContentEn, vo.getContentEn())
                .eqIfPresent(InternalHelpDocDO::getStatus, vo.getStatus())
                .betweenIfPresent(InternalHelpDocDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(InternalHelpDocDO::getId));
        }

        return null;
    }
}
