package cn.iocoder.yudao.module.system.dal.mysql.mail;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.QueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.mail.vo.log.MailLogExportReqVO;
import cn.iocoder.yudao.module.system.controller.admin.mail.vo.log.MailLogPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.mail.MailLogDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface MailLogMapper extends BaseMapperX<MailLogDO> {

    default PageResult<MailLogDO> selectPage(MailLogPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<MailLogDO>()
                .eqIfPresent(MailLogDO::getFromAddress, reqVO.getFromAddress())
                .eqIfPresent(MailLogDO::getTemplateCode, reqVO.getTemplateCode())
                .eqIfPresent(MailLogDO::getTitle, reqVO.getTitle())
                .eqIfPresent(MailLogDO::getContent, reqVO.getContent())
                .eqIfPresent(MailLogDO::getToAddress, reqVO.getToAddress())
                .betweenIfPresent(MailLogDO::getSendTime, reqVO.getBeginSendTime(), reqVO.getEndSendTime())
                .eqIfPresent(MailLogDO::getSendStatus, reqVO.getSendStatus())
                .eqIfPresent(MailLogDO::getSendResult, reqVO.getSendResult())
                .betweenIfPresent(MailLogDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(MailLogDO::getId));
    }

    default List<MailLogDO> selectList(MailLogExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<MailLogDO>()
                .eqIfPresent(MailLogDO::getFromAddress, reqVO.getFromAddress())
                .eqIfPresent(MailLogDO::getTemplateCode, reqVO.getTemplateCode())
                .eqIfPresent(MailLogDO::getTitle, reqVO.getTitle())
                .eqIfPresent(MailLogDO::getContent, reqVO.getContent())
                .eqIfPresent(MailLogDO::getToAddress, reqVO.getToAddress())
                .betweenIfPresent(MailLogDO::getSendTime, reqVO.getBeginSendTime(), reqVO.getEndSendTime())
                .eqIfPresent(MailLogDO::getSendStatus, reqVO.getSendStatus())
                .eqIfPresent(MailLogDO::getSendResult, reqVO.getSendResult())
                .betweenIfPresent(MailLogDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(MailLogDO::getId));
    }
}
