package cn.iocoder.yudao.module.system.dal.mysql.mail;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.QueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.mail.vo.template.MailTemplateExportReqVO;
import cn.iocoder.yudao.module.system.controller.admin.mail.vo.template.MailTemplatePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.mail.MailTemplateDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.Date;
import java.util.List;


@Mapper
public interface MailTemplateMapper extends BaseMapperX<MailTemplateDO> {

    default PageResult<MailTemplateDO> selectPage(MailTemplatePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<MailTemplateDO>()
                .likeIfPresent(MailTemplateDO::getName, reqVO.getName())
                .eqIfPresent(MailTemplateDO::getCode, reqVO.getCode())
                .likeIfPresent(MailTemplateDO::getTitle, reqVO.getTitle())
                .likeIfPresent(MailTemplateDO::getContent, reqVO.getContent())
                .eqIfPresent(MailTemplateDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(MailTemplateDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(MailTemplateDO::getId));
    }

    default List<MailTemplateDO> selectList(MailTemplateExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<MailTemplateDO>()
                .likeIfPresent(MailTemplateDO::getName, reqVO.getName())
                .eqIfPresent(MailTemplateDO::getCode, reqVO.getCode())
                .likeIfPresent(MailTemplateDO::getTitle, reqVO.getTitle())
                .likeIfPresent(MailTemplateDO::getContent, reqVO.getContent())
                .eqIfPresent(MailTemplateDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(MailTemplateDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(MailTemplateDO::getId));
    }

    default MailTemplateDO selectOneByCode(String code){
        return selectOne(new QueryWrapperX<MailTemplateDO>()
                .eqIfPresent("code" , code));
    };

    @Select("SELECT COUNT(*) FROM system_mail_template WHERE update_time > #{maxUpdateTime} LIMIT 1")
    Long selectByMaxUpdateTime(Date maxUpdateTime);

    default MailTemplateDO selectOneByAccountId(Long accountId){
        return selectOne(new QueryWrapperX<MailTemplateDO>()
                .eqIfPresent("account_id" , accountId));
    };
}
