package cn.iocoder.yudao.module.system.dal.mysql.needKnow;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.system.dal.dataobject.needKnow.NeedKnowDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.system.vo.needKnow.*;

/**
 * 需知 Mapper
 * @author 系统管理员
 */
@Mapper
public interface NeedKnowMapper extends AbstractMapper<NeedKnowDO> {
    @Override
    default PageResult<NeedKnowDO> selectPage(PageVO page, Object object) {
        if (object instanceof NeedKnowQueryVO) {
            NeedKnowQueryVO vo = (NeedKnowQueryVO)object;
            return selectPage(page, new LambdaQuery<NeedKnowDO>()
                .eqIfPresent(NeedKnowDO::getKnowType, vo.getKnowType())
                .likeIfPresent(NeedKnowDO::getTitleZh, vo.getTitleZh())
                .likeIfPresent(NeedKnowDO::getTitleEn, vo.getTitleEn())
                .eqIfPresent(NeedKnowDO::getStatus, vo.getStatus())
                .betweenIfPresent(NeedKnowDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(NeedKnowDO::getId));
        }

        return null;
    }

    @Override
    default List<NeedKnowDO> selectList(Object object) {
        if (object instanceof NeedKnowQueryVO) {
            NeedKnowQueryVO vo = (NeedKnowQueryVO)object;
            return selectList(new LambdaQuery<NeedKnowDO>()
                .eqIfPresent(NeedKnowDO::getKnowType, vo.getKnowType())
                .likeIfPresent(NeedKnowDO::getTitleZh, vo.getTitleZh())
                .likeIfPresent(NeedKnowDO::getTitleEn, vo.getTitleEn())
                .eqIfPresent(NeedKnowDO::getStatus, vo.getStatus())
                .betweenIfPresent(NeedKnowDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(NeedKnowDO::getId));
        }

        return null;
    }
}
