package cn.iocoder.yudao.module.system.dal.mysql.permission;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.permission.vo.menu.MenuListReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.permission.MenuDO;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.Date;
import java.util.List;

@Mapper
public interface MenuMapper extends BaseMapperX<MenuDO> {

    default MenuDO selectByParentIdAndName(Long parentId, String name) {
        return selectOne(new LambdaQueryWrapper<MenuDO>().eq(MenuDO::getParentId, parentId)
                .eq(MenuDO::getName, name));
    }

    default Long selectCountByParentId(Long parentId) {
        return selectCount(MenuDO::getParentId, parentId);
    }

    default List<MenuDO> selectList(MenuListReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<MenuDO>()
                .likeIfPresent(MenuDO::getName, reqVO.getName())
                .eqIfPresent(MenuDO::getDeleted,0)
                .eqIfPresent(MenuDO::getIsShowInMenuBar,reqVO.getIsShowInMenuBar())
                .eqIfPresent(MenuDO::getStatus, reqVO.getStatus())
        );
    }
    default List<MenuDO> selectShowList(MenuListReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<MenuDO>()
                .likeIfPresent(MenuDO::getName, reqVO.getName())
                .eqIfPresent(MenuDO::getDeleted,0)
                .eqIfPresent(MenuDO::getStatus, reqVO.getStatus())
                .and( i ->
                        i.eq(MenuDO::getType, 1)
                                .or()
                                .eq(MenuDO::getType, 2).eq(MenuDO::getIsShowInMenuBar, true)
                                .or()
                                .eq(MenuDO::getType, 3))
        );
    }

    @Select("SELECT * FROM system_menu WHERE deleted=0 and status = 0 and (menu_type = 1 or (menu_type = 2 and is_Show_In_Menu_Bar = 1) or menu_type=3) ")
    List<MenuDO> selectMenusBySetting();

    @Select("SELECT id FROM system_menu WHERE update_time > #{maxUpdateTime} LIMIT 1")
    MenuDO selectExistsByUpdateTimeAfter(Date maxUpdateTime);

}
