package cn.iocoder.yudao.module.system.dal.mysql.version;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.system.dal.dataobject.version.VersionDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.system.vo.version.VersionQueryVO;
import org.apache.commons.lang3.StringUtils;
import org.apache.ibatis.annotations.Mapper;

/**
 * app版本管理 Mapper
 * @author wlh
 */
@Mapper
public interface VersionMapper extends AbstractMapper<VersionDO> {
    @Override
    default PageResult<VersionDO> selectPage(PageVO page, Object object) {
        if (object instanceof VersionQueryVO) {
            VersionQueryVO vo = (VersionQueryVO)object;
            if(StringUtils.isEmpty(vo.getAppType())) {
                vo.setAppType(null);
            }
            return selectPage(page, new LambdaQuery<VersionDO>()
                .eqIfPresent(VersionDO::getAppUrl, vo.getAppUrl())
                .eqIfPresent(VersionDO::getAppType, vo.getAppType())
                .eqIfPresent(VersionDO::getAppVersion, vo.getAppVersion())
                .eqIfPresent(VersionDO::getVersionCode, vo.getVersionCode())
                .eqIfPresent(VersionDO::getForceUpdate, vo.getForceUpdate())
                .eqIfPresent(VersionDO::getDesp, vo.getDesp())
                .betweenIfPresent(VersionDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(VersionDO::getId));
        }

        return null;
    }

    @Override
    default List<VersionDO> selectList(Object object) {
        if (object instanceof VersionQueryVO) {
            VersionQueryVO vo = (VersionQueryVO)object;
            return selectList(new LambdaQuery<VersionDO>()
                .eqIfPresent(VersionDO::getAppUrl, vo.getAppUrl())
                .eqIfPresent(VersionDO::getAppType, vo.getAppType())
                .eqIfPresent(VersionDO::getAppVersion, vo.getAppVersion())
                .eqIfPresent(VersionDO::getVersionCode, vo.getVersionCode())
                .eqIfPresent(VersionDO::getForceUpdate, vo.getForceUpdate())
                .eqIfPresent(VersionDO::getDesp, vo.getDesp())
                .betweenIfPresent(VersionDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(VersionDO::getId));
        }

        return null;
    }
}
