package cn.iocoder.yudao.module.system.mq.consumer.file;

import cn.iocoder.yudao.framework.mq.core.stream.AbstractStreamMessageListener;
import cn.iocoder.yudao.module.system.mq.message.file.FileMakeMessage;
import cn.iocoder.yudao.module.system.service.downloadLog.DownloadLogService;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 针对 {@link FileMakeMessage} 的消费者
 *
 * @author zhengYi
 */
@Component
@Slf4j
public class FileMakeConsumer extends AbstractStreamMessageListener<FileMakeMessage> {

    @Resource
    private DownloadLogService downloadLogService;

    @Override
    public void onMessage(FileMakeMessage message) {
        log.info("[onMessage][消息内容：{}]", JSONObject.toJSONString(message));
        downloadLogService.doFileMake(message);
    }

}
