package cn.iocoder.yudao.module.system.mq.message.file;

import cn.iocoder.yudao.framework.mq.core.stream.AbstractStreamMessage;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * excel导出消息发送
 *
 * @author 捷道源码
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FileMakeMessage extends AbstractStreamMessage {

    /**
     * 日志编号
     */
    @NotNull(message = "日志编号不能为空")
    private Long logId;

    /**
     * 类型
     */
    @NotNull(message = "类型不能为空")
    private Integer type;

    /**
     * 导出参数
     */
    private String params;

    @Override
    public String getStreamKey() {
        return "system.file.make";
    }

}
