package cn.iocoder.yudao.module.system.mq.producer.file;

import cn.iocoder.yudao.framework.mq.core.RedisMQTemplate;
import cn.iocoder.yudao.module.system.mq.message.file.FileMakeMessage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * excel相关消息的 Producer
 *
 * @author zhengYi
 * @date 2023/8/23 16:35
 */
@Slf4j
@Component
public class FileProducer {

    @Resource
    private RedisMQTemplate redisMQTemplate;

    /**
     * 发送 {@link FileMakeMessage} 消息
     *
     * @param logId 日志编号
     * @param type 类型
     * @param params 参数(json字符串)
     */
    public void sendExcelExportMessage(Long logId, Integer type, String params) {
        FileMakeMessage message = new FileMakeMessage().setLogId(logId);
        message.setType(type).setParams(params);
        redisMQTemplate.send(message);
    }

}
