package cn.iocoder.yudao.module.system.service.banner;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.banner.vo.banner.BannerCreateReqVO;
import cn.iocoder.yudao.module.system.controller.admin.banner.vo.banner.BannerQueryVO;
import cn.iocoder.yudao.module.system.controller.admin.banner.vo.banner.BannerUpdateReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.banner.BannerDO;

/**
 * 广告设置 Service 接口
 *
 * @author wlh
 */
public interface BannerService extends IService<BannerDO> {

    /**
     * 创建广告设置
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBanner(@Valid BannerCreateReqVO createReqVO);

    /**
     * 更新广告设置
     * @param updateReqVO 更新信息
     */
    void updateBanner(@Valid BannerUpdateReqVO updateReqVO);

    /**
     * 删除广告设置
     * @param id 编号
     */
    void deleteBanner(Long id);

    /**
     * 获得广告设置
     * @param id 编号
     * @return 广告设置
     */
    BannerDO getBanner(Long id);

    /**
     * 获得广告设置列表
     * @param ids 编号
     * @return 广告设置列表
     */
    List<BannerDO> getBannerList(Collection<Long> ids);

    /**
     * 获得广告设置分页
     * @param page 分页查询
     * @param query 查询
     * @return 广告设置分页
     */
    PageResult<BannerDO> getBannerPage(BannerQueryVO query, PageVO page);

    /**
     * 获得广告设置列表, 用于 Excel 导出
     * @param query 查询
     * @return 广告设置列表
     */
    List<BannerDO> getBannerList(BannerQueryVO query);
}
