package cn.iocoder.yudao.module.system.service.bannerPop;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.bannerPop.vo.BannerPopUpdateReqVO;
import cn.iocoder.yudao.module.system.controller.admin.bannerPop.vo.BannerPopCreateReqVO;
import cn.iocoder.yudao.module.system.controller.admin.bannerPop.vo.BannerPopQueryVO;
import cn.iocoder.yudao.module.system.dal.dataobject.bannerPop.BannerPopDO;

/**
 * 广告弹窗 Service 接口
 *
 * @author wlh
 */
public interface BannerPopService extends IService<BannerPopDO> {

    /**
     * 创建广告弹窗
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBannerPop(@Valid BannerPopCreateReqVO createReqVO);

    /**
     * 更新广告弹窗
     * @param updateReqVO 更新信息
     */
    void updateBannerPop(@Valid BannerPopUpdateReqVO updateReqVO);

    /**
     * 删除广告弹窗
     * @param id 编号
     */
    void deleteBannerPop(Long id);

    /**
     * 获得广告弹窗
     * @param id 编号
     * @return 广告弹窗
     */
    BannerPopDO getBannerPop(Long id);

    /**
     * 获得广告弹窗列表
     * @param ids 编号
     * @return 广告弹窗列表
     */
    List<BannerPopDO> getBannerPopList(Collection<Long> ids);

    /**
     * 获得广告弹窗分页
     * @param page 分页查询
     * @param query 查询
     * @return 广告弹窗分页
     */
    PageResult<BannerPopDO> getBannerPopPage(BannerPopQueryVO query, PageVO page);

    /**
     * 获得广告弹窗列表, 用于 Excel 导出
     * @param query 查询
     * @return 广告弹窗列表
     */
    List<BannerPopDO> getBannerPopList(BannerPopQueryVO query);
}
