package cn.iocoder.yudao.module.system.service.helpDoc;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.system.vo.helpDoc.*;
import cn.iocoder.yudao.module.system.dal.dataobject.helpDoc.HelpDocDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 帮助文档 Service 接口
 *
 * @author jiuping
 */
public interface HelpDocService extends IService<HelpDocDO> {

    /**
     * 创建帮助文档
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createHelpDoc(@Valid HelpDocCreateReqVO createReqVO);

    /**
     * 更新帮助文档
     * @param updateReqVO 更新信息
     */
    void updateHelpDoc(@Valid HelpDocUpdateReqVO updateReqVO);

    /**
     * 删除帮助文档
     * @param id 编号
     */
    void deleteHelpDoc(Long id);

    /**
     * 获得帮助文档
     * @param id 编号
     * @return 帮助文档
     */
    HelpDocDO getHelpDoc(Long id);

    /**
     * 获得帮助文档列表
     * @param ids 编号
     * @return 帮助文档列表
     */
    List<HelpDocDO> getHelpDocList(Collection<Long> ids);

    /**
     * 获得帮助文档分页
     * @param page 分页查询
     * @param query 查询
     * @return 帮助文档分页
     */
    PageResult<HelpDocDO> getHelpDocPage(HelpDocQueryVO query, PageVO page);

    /**
     * 获得帮助文档列表, 用于 Excel 导出
     * @param query 查询
     * @return 帮助文档列表
     */
    List<HelpDocDO> getHelpDocList(HelpDocQueryVO query);
}
