package cn.iocoder.yudao.module.system.service.internalHelpDoc;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.system.vo.internalHelpDoc.*;
import cn.iocoder.yudao.module.system.dal.dataobject.internalHelpDoc.InternalHelpDocDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 对内帮助文档 Service 接口
 *
 * @author 系统管理员
 */
public interface InternalHelpDocService extends IService<InternalHelpDocDO> {

    /**
     * 创建对内帮助文档
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createInternalHelpDoc(@Valid InternalHelpDocCreateReqVO createReqVO);

    /**
     * 更新对内帮助文档
     * @param updateReqVO 更新信息
     */
    void updateInternalHelpDoc(@Valid InternalHelpDocUpdateReqVO updateReqVO);

    /**
     * 删除对内帮助文档
     * @param id 编号
     */
    void deleteInternalHelpDoc(Long id);

    /**
     * 获得对内帮助文档
     * @param id 编号
     * @return 对内帮助文档
     */
    InternalHelpDocDO getInternalHelpDoc(Long id);

    /**
     * 获得对内帮助文档列表
     * @param ids 编号
     * @return 对内帮助文档列表
     */
    List<InternalHelpDocDO> getInternalHelpDocList(Collection<Long> ids);

    /**
     * 获得对内帮助文档分页
     * @param page 分页查询
     * @param query 查询
     * @return 对内帮助文档分页
     */
    PageResult<InternalHelpDocDO> getInternalHelpDocPage(InternalHelpDocQueryVO query, PageVO page);

    /**
     * 获得对内帮助文档列表, 用于 Excel 导出
     * @param query 查询
     * @return 对内帮助文档列表
     */
    List<InternalHelpDocDO> getInternalHelpDocList(InternalHelpDocQueryVO query);
}
