package cn.iocoder.yudao.module.system.service.needKnow;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.system.vo.needKnow.*;
import cn.iocoder.yudao.module.system.dal.dataobject.needKnow.NeedKnowDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 需知 Service 接口
 *
 * @author 系统管理员
 */
public interface NeedKnowService extends IService<NeedKnowDO> {

    /**
     * 创建需知
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createNeedKnow(@Valid NeedKnowCreateReqVO createReqVO);

    /**
     * 更新需知
     * @param updateReqVO 更新信息
     */
    void updateNeedKnow(@Valid NeedKnowUpdateReqVO updateReqVO);

    /**
     * 删除需知
     * @param id 编号
     */
    void deleteNeedKnow(Long id);

    /**
     * 获得需知
     * @param id 编号
     * @return 需知
     */
    NeedKnowDO getNeedKnow(Long id);

    /**
     * 获得需知
     * @param key 编号
     * @return 需知
     */
    NeedKnowDO getNeedKnowByKey(String key);

    /**
     * 获得需知列表
     * @param ids 编号
     * @return 需知列表
     */
    List<NeedKnowDO> getNeedKnowList(Collection<Long> ids);

    /**
     * 获得需知分页
     * @param page 分页查询
     * @param query 查询
     * @return 需知分页
     */
    PageResult<NeedKnowDO> getNeedKnowPage(NeedKnowQueryVO query, PageVO page);

    /**
     * 获得需知列表, 用于 Excel 导出
     * @param query 查询
     * @return 需知列表
     */
    List<NeedKnowDO> getNeedKnowList(NeedKnowQueryVO query);
}
