package cn.iocoder.yudao.module.system.service.version;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.system.vo.version.*;
import cn.iocoder.yudao.module.system.dal.dataobject.version.VersionDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * app版本管理 Service 接口
 *
 * @author wlh
 */
public interface VersionService extends IService<VersionDO> {

    /**
     * 创建app版本管理
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createVersion(@Valid VersionCreateReqVO createReqVO);

    /**
     * 更新app版本管理
     * @param updateReqVO 更新信息
     */
    void updateVersion(@Valid VersionUpdateReqVO updateReqVO);

    /**
     * 删除app版本管理
     * @param id 编号
     */
    void deleteVersion(Long id);

    /**
     * 获得app版本管理
     * @param id 编号
     * @return app版本管理
     */
    VersionDO getVersion(Long id);

    /**
     * 获得app版本管理列表
     * @param ids 编号
     * @return app版本管理列表
     */
    List<VersionDO> getVersionList(Collection<Long> ids);

    /**
     * 获得app版本管理分页
     * @param page 分页查询
     * @param query 查询
     * @return app版本管理分页
     */
    PageResult<VersionDO> getVersionPage(VersionQueryVO query, PageVO page);

    /**
     * 获得app版本管理列表, 用于 Excel 导出
     * @param query 查询
     * @return app版本管理列表
     */
    List<VersionDO> getVersionList(VersionQueryVO query);

    VersionDO getLatestVersion(String appType, Integer versionCode);
}
