package cn.iocoder.yudao.module.system.vo.downloadLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 下载日志 Response VO
* @author 江楠
*/
@Data
@ApiModel("管理后台 - 下载日志 Response VO")
public class DownloadLogBackVO {

    @ExcelProperty("编号")
    @ApiModelProperty(value = "编号", required = true)
    private Long id;

    @ExcelProperty("是否临时文件")
    @ApiModelProperty(value = "是否临时文件")
    private Boolean temporaryFile;

    @ExcelProperty("资源类型")
    @ApiModelProperty(value = "资源类型", required = true)
    private Integer type;

    @ExcelProperty("请求参数")
    @ApiModelProperty(value = "请求参数", required = true)
    private String requestParams;

    @ExcelProperty("用户编号")
    @ApiModelProperty(value = "用户编号")
    private Long userId;

    @ExcelProperty("用户类型：1 客户端 2 管理端")
    @ApiModelProperty(value = "用户类型：1 客户端 2 管理端")
    private Integer userType;

    @ExcelProperty("0 待处理 1 处理中 2 处理成功 3 处理失败")
    @ApiModelProperty(value = "0 待处理 1 处理中 2 处理成功 3 处理失败", required = true)
    private Integer status;

    @ExcelProperty("处理结果")
    @ApiModelProperty(value = "处理结果", required = true)
    private String result;

    @ExcelProperty("业务名称")
    @ApiModelProperty(value = "业务名称")
    private String name;

    @ExcelProperty("业务编号")
    @ApiModelProperty(value = "业务编号")
    private String businessNo;

    @ExcelProperty("发送时间")
    @ApiModelProperty(value = "发送时间")
    private String fileSuffix;

    @ExcelProperty("文件名称")
    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "国际化语言值，默认0中文, 具体取值I18nMessage.getLang()")
    private Integer lang = 0;

    @ExcelProperty("文件路径")
    @ApiModelProperty(value = "文件路径")
    private String path;

    @ExcelProperty("下载地址")
    @ApiModelProperty(value = "下载地址")
    private String downloadUrl;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("重发次数")
    @ApiModelProperty(value = "重发次数")
    private Integer num;

    @ExcelProperty("下载次数")
    @ApiModelProperty(value = "下载次数")
    private Integer downNum;
}
