package cn.iocoder.yudao.module.system.vo.downloadLog;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 下载日志 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class DownloadLogBaseVO {

    @ApiModelProperty(value = "是否临时文件")
    private Boolean temporaryFile;

    @ApiModelProperty(value = "资源类型", required = true)
    @NotNull(message = "资源类型不能为空")
    private Integer type;

    @ApiModelProperty(value = "请求参数", required = true)
    @NotNull(message = "请求参数不能为空")
    private String requestParams;

    @ApiModelProperty(value = "用户编号")
    private Long userId;

    @ApiModelProperty(value = "用户类型：1 客户端 2 管理端")
    private Integer userType;

    @ApiModelProperty(value = "0 待处理 1 处理中 2 处理成功 3 处理失败", required = true)
    @NotNull(message = "0 待处理 1 处理中 2 处理成功 3 处理失败不能为空")
    private Integer status;

    @ApiModelProperty(value = "处理结果", required = true)
    @NotNull(message = "处理结果不能为空")
    private String result;

    @ApiModelProperty(value = "发送时间")
    private String fileSuffix;

    @ApiModelProperty(value = "业务名称")
    private String name;

    @ApiModelProperty(value = "业务编号")
    private String businessNo;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "国际化语言值，默认0中文, 具体取值I18nMessage.getLang()")
    private Integer lang = 0;

    @ApiModelProperty(value = "文件路径")
    private String path;

    @ApiModelProperty(value = "下载地址")
    private String downloadUrl;

    @ApiModelProperty(value = "重发次数")
    private Integer num;

    @ApiModelProperty(value = "下载次数")
    private Integer downNum;

}
