package cn.iocoder.yudao.module.system.vo.downloadLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 下载日志查询 VO")
public class DownloadLogQueryVO {

    @ApiModelProperty(value = "是否临时文件")
    private Boolean temporaryFile;

    @ApiModelProperty(value = "资源类型")
    private Integer type;

    @ApiModelProperty(value = "请求参数")
    private String requestParams;

    @ApiModelProperty(value = "用户编号")
    private Long userId;

    @ApiModelProperty(value = "用户类型：1 客户端 2 管理端")
    private Integer userType;

    @ApiModelProperty(value = "0 待处理 1 处理中 2 处理成功 3 处理失败")
    private Integer status;

    @ApiModelProperty(value = "处理结果")
    private String result;

    @ApiModelProperty(value = "发送时间")
    private String fileSuffix;

    @ApiModelProperty(value = "业务名称")
    private String name;

    @ApiModelProperty(value = "业务编号")
    private String businessNo;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "国际化语言值，默认0中文, 具体取值I18nMessage.getLang()")
    private Integer lang = 0;

    @ApiModelProperty(value = "文件路径")
    private String path;

    @ApiModelProperty(value = "下载地址")
    private String downloadUrl;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "重发次数")
    private Integer num;

    @ApiModelProperty(value = "下载次数")
    private Integer downNum;
}
