package cn.iocoder.yudao.module.system.vo.internalHelpDoc;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 对内帮助文档 Response VO
 *
 * @author 系统管理员
 */
@Data
@ApiModel("管理后台 - 对内帮助文档 Response VO")
public class InternalHelpDocBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("标题中文")
    @ApiModelProperty(value = "标题中文")
    private String titleZh;

    @ExcelProperty("标题英文")
    @ApiModelProperty(value = "标题英文")
    private String titleEn;

    @ExcelProperty("内容中文")
    @ApiModelProperty(value = "内容中文")
    private String contentZh;

    @ExcelProperty("内容英语")
    @ApiModelProperty(value = "内容英语")
    private String contentEn;

    @ExcelProperty("0-启用,1-停用")
    @ApiModelProperty(value = "0-启用,1-停用")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
