package cn.iocoder.yudao.module.system.vo.needKnow;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 需知 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 需知 Response VO")
public class NeedKnowBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty(value = "需知类型", converter = DictConvert.class)
    @DictFormat("need_know_type") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    @ApiModelProperty(value = "需知类型")
    private String knowType;

    @ExcelProperty("标题中文")
    @ApiModelProperty(value = "标题中文")
    private String titleZh;

    @ExcelProperty("标题英文")
    @ApiModelProperty(value = "标题英文")
    private String titleEn;

    @ExcelProperty("内容中文")
    @ApiModelProperty(value = "内容中文")
    private String contentZh;

    @ExcelProperty("内容英语")
    @ApiModelProperty(value = "内容英语")
    private String contentEn;

    @ExcelProperty(value = "0-启用,1-停用", converter = DictConvert.class)
    @DictFormat("need_know_status") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    @ApiModelProperty(value = "0-启用,1-停用")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
