package cn.iocoder.yudao.module.system.vo.version;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* app版本管理 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - app版本管理 Response VO")
public class VersionBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("版本链接")
    @ApiModelProperty(value = "版本链接")
    private String appUrl;

    @ExcelProperty("字典data_source")
    @ApiModelProperty(value = "字典data_source")
    private String appType;

    @ExcelProperty("版本号")
    @ApiModelProperty(value = "版本号")
    private String appVersion;

    @ExcelProperty("内部号")
    @ApiModelProperty(value = "内部号")
    private Integer versionCode;

    @ExcelProperty("是否默认更新，0-否，1-是")
    @ApiModelProperty(value = "是否默认更新，0-否，1-是")
    private Integer forceUpdate;

    @ExcelProperty("说明")
    @ApiModelProperty(value = "说明")
    private String desp;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
