package cn.iocoder.yudao.module.system.vo.version;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - app版本管理查询 VO")
public class VersionQueryVO {

    @ApiModelProperty(value = "版本链接")
    private String appUrl;

    @ApiModelProperty(value = "字典data_source")
    private String appType;

    @ApiModelProperty(value = "版本号")
    private String appVersion;

    @ApiModelProperty(value = "内部号")
    private Integer versionCode;

    @ApiModelProperty(value = "是否默认更新，0-否，1-是")
    private Integer forceUpdate;

    @ApiModelProperty(value = "说明")
    private String desp;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
